// ConfigDlg.h : Declaration of the CConfigDlg

#ifndef __CONFIGDLG_H_
#define __CONFIGDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg
class CConfigDlg : public CAxDialogImpl<CConfigDlg>
{
public:
    //variables to store the current state of the dialog
    int DISTANCE;
    BOOL CHECKED;
    BOOL CHECKEDI;
    BOOL CHECKEDL;
    int HISTORY;

    int DWEIGHT;
    int UWEIGHT;
    int HWEIGHT;
    int LWEIGHT;
    int IWEIGHT;

    int TOTALALERT;

    CConfigDlg()
    {
    }

    ~CConfigDlg()
    {
    }

    //setters so that UWToolBar can initialize state
    void SetDistance(int dist) {
        DISTANCE = dist;
    }
    void SetHistory(int hist) {
        HISTORY = hist;
    }
    void SetChecked(BOOL check) {
        CHECKED = check;
    }
    void SetCheckedI(BOOL check) {
        CHECKEDI = check;
    }
    void SetCheckedL(BOOL check) {
        CHECKEDL = check;
    }

    void SetDWeight(int dw) {
        DWEIGHT = dw;
    }
    void SetUWeight(int uw) {
        UWEIGHT = uw;
    }
    void SetHWeight(int hw) {
        HWEIGHT = hw;
    }
    void SetLWeight(int lw) {
        LWEIGHT = lw;
    }
    void SetIWeight(int iw) {
        IWEIGHT = iw;
    }
    void SetTotalAlert(int ta) {
        TOTALALERT = ta;
    }

    enum { IDD = IDD_CONFIGDLG };

    //This is where the ConfigDlg class handles the input
    //these are the messages we're prepared to receive,
    //one for each radio button

    BEGIN_MSG_MAP(CConfigDlg)
        MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
        COMMAND_ID_HANDLER(IDOK, OnOK)
        COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
        COMMAND_ID_HANDLER(IDC_DISTANCE1, OnDistance1)
        COMMAND_ID_HANDLER(IDC_DISTANCE2, OnDistance2)
        COMMAND_ID_HANDLER(IDC_DISTANCE3, OnDistance3)
        COMMAND_ID_HANDLER(IDC_DISTANCE4, OnDistance4)
        COMMAND_ID_HANDLER(IDC_DISTANCE5, OnDistance5)
        COMMAND_ID_HANDLER(IDC_URLWARN,   OnURLWarn)
        COMMAND_ID_HANDLER(IDC_URLWARNI,   OnURLWarnI)
        COMMAND_ID_HANDLER(IDC_URLWARNL,   OnURLWarnL)
        COMMAND_ID_HANDLER(IDC_HIST1, OnHist1)
        COMMAND_ID_HANDLER(IDC_HIST2, OnHist2)
        COMMAND_ID_HANDLER(IDC_HIST3, OnHist3)
        COMMAND_ID_HANDLER(IDC_HIST4, OnHist4)

        COMMAND_ID_HANDLER(IDC_DWEIGHT1, OnDWeight1)
        COMMAND_ID_HANDLER(IDC_DWEIGHT2, OnDWeight2)
        COMMAND_ID_HANDLER(IDC_DWEIGHT3, OnDWeight3)
        COMMAND_ID_HANDLER(IDC_DWEIGHT4, OnDWeight4)
        COMMAND_ID_HANDLER(IDC_DWEIGHT5, OnDWeight5)

        COMMAND_ID_HANDLER(IDC_UWEIGHT1, OnUWeight1)
        COMMAND_ID_HANDLER(IDC_UWEIGHT2, OnUWeight2)
        COMMAND_ID_HANDLER(IDC_UWEIGHT3, OnUWeight3)
        COMMAND_ID_HANDLER(IDC_UWEIGHT4, OnUWeight4)
        COMMAND_ID_HANDLER(IDC_UWEIGHT5, OnUWeight5)

        COMMAND_ID_HANDLER(IDC_HWEIGHT1, OnHWeight1)
        COMMAND_ID_HANDLER(IDC_HWEIGHT2, OnHWeight2)
        COMMAND_ID_HANDLER(IDC_HWEIGHT3, OnHWeight3)
        COMMAND_ID_HANDLER(IDC_HWEIGHT4, OnHWeight4)
        COMMAND_ID_HANDLER(IDC_HWEIGHT5, OnHWeight5)


        COMMAND_ID_HANDLER(IDC_LWEIGHT1, OnLWeight1)
        COMMAND_ID_HANDLER(IDC_LWEIGHT2, OnLWeight2)
        COMMAND_ID_HANDLER(IDC_LWEIGHT3, OnLWeight3)
        COMMAND_ID_HANDLER(IDC_LWEIGHT4, OnLWeight4)
        COMMAND_ID_HANDLER(IDC_LWEIGHT5, OnLWeight5)

        COMMAND_ID_HANDLER(IDC_IWEIGHT1, OnIWeight1)
        COMMAND_ID_HANDLER(IDC_IWEIGHT2, OnIWeight2)
        COMMAND_ID_HANDLER(IDC_IWEIGHT3, OnIWeight3)
        COMMAND_ID_HANDLER(IDC_IWEIGHT4, OnIWeight4)
        COMMAND_ID_HANDLER(IDC_IWEIGHT5, OnIWeight5)


        COMMAND_ID_HANDLER(IDC_TOTALALERT1, OnTAlert1)
        COMMAND_ID_HANDLER(IDC_TOTALALERT2, OnTAlert2)
        COMMAND_ID_HANDLER(IDC_TOTALALERT3, OnTAlert3)
        COMMAND_ID_HANDLER(IDC_TOTALALERT4, OnTAlert4)
        COMMAND_ID_HANDLER(IDC_TOTALALERT5, OnTAlert5)
        COMMAND_ID_HANDLER(IDC_TOTALALERT6, OnTAlert6)
        COMMAND_ID_HANDLER(IDC_TOTALALERT7, OnTAlert7)
        COMMAND_ID_HANDLER(IDC_TOTALALERT8, OnTAlert8)
        COMMAND_ID_HANDLER(IDC_TOTALALERT9, OnTAlert9)
        COMMAND_ID_HANDLER(IDC_TOTALALERT10, OnTAlert10)

        END_MSG_MAP()
        // Handler prototypes:
        //  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
        //  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
        //  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);


        //initialize dialog

        LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
    {
        switch(DISTANCE) {
        case 1:
            //if the distance is 1, set the "1" radio button
            CheckDlgButton(IDC_DISTANCE1, BST_CHECKED);
            break;
        case 2:
            //Similarly...
            CheckDlgButton(IDC_DISTANCE2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_DISTANCE3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_DISTANCE4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_DISTANCE5, BST_CHECKED);
            break;
        }

        switch(HISTORY) {
        case 100:
            CheckDlgButton(IDC_HIST1, BST_CHECKED);
            break;
        case 500:
            CheckDlgButton(IDC_HIST2, BST_CHECKED);
            break;
        case 1000:
            CheckDlgButton(IDC_HIST3, BST_CHECKED);
            break;
        case 10000:
            CheckDlgButton(IDC_HIST4, BST_CHECKED);
            break;
        }

        if(CHECKED)
            CheckDlgButton(IDC_URLWARN, BST_CHECKED);
        else
            CheckDlgButton(IDC_URLWARN, BST_UNCHECKED);

        if(CHECKEDI)
            CheckDlgButton(IDC_URLWARNI, BST_CHECKED);
        else
            CheckDlgButton(IDC_URLWARNI, BST_UNCHECKED);

        if(CHECKEDL)
            CheckDlgButton(IDC_URLWARNL, BST_CHECKED);
        else
            CheckDlgButton(IDC_URLWARNL, BST_UNCHECKED);


        switch(DWEIGHT) {
        case 1:
            CheckDlgButton(IDC_DWEIGHT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_DWEIGHT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_DWEIGHT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_DWEIGHT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_DWEIGHT5, BST_CHECKED);
            break;
        }
        switch(UWEIGHT) {
        case 1:
            CheckDlgButton(IDC_UWEIGHT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_UWEIGHT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_UWEIGHT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_UWEIGHT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_UWEIGHT5, BST_CHECKED);
            break;
        }
        switch(HWEIGHT) {
        case 1:
            CheckDlgButton(IDC_HWEIGHT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_HWEIGHT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_HWEIGHT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_HWEIGHT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_HWEIGHT5, BST_CHECKED);
            break;
        }
        switch(LWEIGHT) {
        case 1:
            CheckDlgButton(IDC_LWEIGHT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_LWEIGHT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_LWEIGHT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_LWEIGHT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_LWEIGHT5, BST_CHECKED);
            break;
        }
        switch(IWEIGHT) {
        case 1:
            CheckDlgButton(IDC_IWEIGHT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_IWEIGHT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_IWEIGHT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_IWEIGHT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_IWEIGHT5, BST_CHECKED);
            break;
        }
        switch(TOTALALERT) {
        case 1:
            CheckDlgButton(IDC_TOTALALERT1, BST_CHECKED);
            break;
        case 2:
            CheckDlgButton(IDC_TOTALALERT2, BST_CHECKED);
            break;
        case 3:
            CheckDlgButton(IDC_TOTALALERT3, BST_CHECKED);
            break;
        case 4:
            CheckDlgButton(IDC_TOTALALERT4, BST_CHECKED);
            break;
        case 5:
            CheckDlgButton(IDC_TOTALALERT5, BST_CHECKED);
            break;
        case 6:
            CheckDlgButton(IDC_TOTALALERT6, BST_CHECKED);
            break;
        case 7:
            CheckDlgButton(IDC_TOTALALERT7, BST_CHECKED);
            break;
        case 8:
            CheckDlgButton(IDC_TOTALALERT8, BST_CHECKED);
            break;
        case 9:
            CheckDlgButton(IDC_TOTALALERT9, BST_CHECKED);
            break;
        case 10:
            CheckDlgButton(IDC_TOTALALERT10, BST_CHECKED);
            break;
        }

        return 1;  // Let the system set the focus
}

//exit, if the user clicks okay
LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
    EndDialog(wID);
    return 0;
}

//exit if the user clicks cancel
LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
    //set distance to -1 so UWToolbar knows not to load values
    DISTANCE = -1;
    EndDialog(wID);
    return 0;
}

//if the user selects the "1" radio button for Distance
LRESULT OnDistance1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    //set the internal variable
    DISTANCE = 1;

    //check that button
    CheckDlgButton(IDC_DISTANCE1, BST_CHECKED);

    //uncheck the rest
    CheckDlgButton(IDC_DISTANCE2, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE3, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE4, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE5, BST_UNCHECKED);

    return 0;
}

//similarly for the rest
LRESULT OnDistance2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DISTANCE = 2;
    CheckDlgButton(IDC_DISTANCE1, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE2, BST_CHECKED);
    CheckDlgButton(IDC_DISTANCE3, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE4, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE5, BST_UNCHECKED);
    return 0;
}

LRESULT OnDistance3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DISTANCE = 3;
    CheckDlgButton(IDC_DISTANCE1, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE2, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE3, BST_CHECKED);
    CheckDlgButton(IDC_DISTANCE4, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE5, BST_UNCHECKED);
    return 0;
}

LRESULT OnDistance4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DISTANCE = 4;
    CheckDlgButton(IDC_DISTANCE1, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE2, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE3, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE4, BST_CHECKED);
    CheckDlgButton(IDC_DISTANCE5, BST_UNCHECKED);
    return 0;
}

LRESULT OnDistance5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DISTANCE = 5;
    CheckDlgButton(IDC_DISTANCE1, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE2, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE3, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE4, BST_UNCHECKED);
    CheckDlgButton(IDC_DISTANCE5, BST_CHECKED);
    return 0;
}


LRESULT OnHist1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HISTORY = 100;
    CheckDlgButton(IDC_HIST1, BST_CHECKED);
    CheckDlgButton(IDC_HIST2, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST3, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST4, BST_UNCHECKED);
    return 0;
}

LRESULT OnHist2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HISTORY = 500;
    CheckDlgButton(IDC_HIST1, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST2, BST_CHECKED);
    CheckDlgButton(IDC_HIST3, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST4, BST_UNCHECKED);
    return 0;
}

LRESULT OnHist3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HISTORY = 1000;
    CheckDlgButton(IDC_HIST1, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST2, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST3, BST_CHECKED);
    CheckDlgButton(IDC_HIST4, BST_UNCHECKED);
    return 0;
}

LRESULT OnHist4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HISTORY = 10000;
    CheckDlgButton(IDC_HIST1, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST2, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST3, BST_UNCHECKED);
    CheckDlgButton(IDC_HIST4, BST_CHECKED);
    return 0;
}

LRESULT OnURLWarn(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    CHECKED = !CHECKED;
    return 0;
}

LRESULT OnURLWarnI(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    CHECKEDI = !CHECKEDI;
    return 0;
}

LRESULT OnURLWarnL(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    CHECKEDL = !CHECKEDL;
    return 0;
}

//------------------------------------------------------

LRESULT OnDWeight1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DWEIGHT = 1;
    CheckDlgButton(IDC_DWEIGHT1, BST_CHECKED);
    CheckDlgButton(IDC_DWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnDWeight2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DWEIGHT = 2;
    CheckDlgButton(IDC_DWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT2, BST_CHECKED);
    CheckDlgButton(IDC_DWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnDWeight3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DWEIGHT = 3;
    CheckDlgButton(IDC_DWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT3, BST_CHECKED);
    CheckDlgButton(IDC_DWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnDWeight4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DWEIGHT = 4;
    CheckDlgButton(IDC_DWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT4, BST_CHECKED);
    CheckDlgButton(IDC_DWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnDWeight5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    DWEIGHT = 5;
    CheckDlgButton(IDC_DWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_DWEIGHT5, BST_CHECKED);

    return 0;
}


//-----------------------------------------------------------

LRESULT OnUWeight1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    UWEIGHT = 1;
    CheckDlgButton(IDC_UWEIGHT1, BST_CHECKED);
    CheckDlgButton(IDC_UWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnUWeight2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    UWEIGHT = 2;
    CheckDlgButton(IDC_UWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT2, BST_CHECKED);
    CheckDlgButton(IDC_UWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnUWeight3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    UWEIGHT = 3;
    CheckDlgButton(IDC_UWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT3, BST_CHECKED);
    CheckDlgButton(IDC_UWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnUWeight4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    UWEIGHT = 4;
    CheckDlgButton(IDC_UWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT4, BST_CHECKED);
    CheckDlgButton(IDC_UWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnUWeight5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    UWEIGHT = 5;
    CheckDlgButton(IDC_UWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_UWEIGHT5, BST_CHECKED);

    return 0;
}

//---------------------------------------------------------


LRESULT OnHWeight1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HWEIGHT = 1;
    CheckDlgButton(IDC_HWEIGHT1, BST_CHECKED);
    CheckDlgButton(IDC_HWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnHWeight2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HWEIGHT = 2;
    CheckDlgButton(IDC_HWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT2, BST_CHECKED);
    CheckDlgButton(IDC_HWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnHWeight3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HWEIGHT = 3;
    CheckDlgButton(IDC_HWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT3, BST_CHECKED);
    CheckDlgButton(IDC_HWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnHWeight4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HWEIGHT = 4;
    CheckDlgButton(IDC_HWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT4, BST_CHECKED);
    CheckDlgButton(IDC_HWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnHWeight5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    HWEIGHT = 5;
    CheckDlgButton(IDC_HWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_HWEIGHT5, BST_CHECKED);

    return 0;
}


//---------------------------------------------------------


LRESULT OnLWeight1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    LWEIGHT = 1;
    CheckDlgButton(IDC_LWEIGHT1, BST_CHECKED);
    CheckDlgButton(IDC_LWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnLWeight2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    LWEIGHT = 2;
    CheckDlgButton(IDC_LWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT2, BST_CHECKED);
    CheckDlgButton(IDC_LWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnLWeight3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    LWEIGHT = 3;
    CheckDlgButton(IDC_LWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT3, BST_CHECKED);
    CheckDlgButton(IDC_LWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnLWeight4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    LWEIGHT = 4;
    CheckDlgButton(IDC_LWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT4, BST_CHECKED);
    CheckDlgButton(IDC_LWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnLWeight5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    LWEIGHT = 5;
    CheckDlgButton(IDC_LWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_LWEIGHT5, BST_CHECKED);

    return 0;
}


//---------------------------------------------------------


LRESULT OnIWeight1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    IWEIGHT = 1;
    CheckDlgButton(IDC_IWEIGHT1, BST_CHECKED);
    CheckDlgButton(IDC_IWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnIWeight2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    IWEIGHT = 2;
    CheckDlgButton(IDC_IWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT2, BST_CHECKED);
    CheckDlgButton(IDC_IWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnIWeight3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    IWEIGHT = 3;
    CheckDlgButton(IDC_IWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT3, BST_CHECKED);
    CheckDlgButton(IDC_IWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnIWeight4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    IWEIGHT = 4;
    CheckDlgButton(IDC_IWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT4, BST_CHECKED);
    CheckDlgButton(IDC_IWEIGHT5, BST_UNCHECKED);

    return 0;
}

LRESULT OnIWeight5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    IWEIGHT = 5;
    CheckDlgButton(IDC_IWEIGHT1, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT2, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT3, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT4, BST_UNCHECKED);
    CheckDlgButton(IDC_IWEIGHT5, BST_CHECKED);

    return 0;
}


//---------------------------------------------------

//COMMAND_ID_HANDLER(IDC_TOTALALERT1, OnTAlert1)

LRESULT OnTAlert1(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 1;
    CheckDlgButton(IDC_TOTALALERT1, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert2(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 2;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert3(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 3;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert4(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 4;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert5(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 5;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert6(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 6;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert7(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 7;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert8(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 8;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}

LRESULT OnTAlert9(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 9;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_CHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_UNCHECKED);

    return 0;
}


LRESULT OnTAlert10(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled) {
    TOTALALERT = 10;
    CheckDlgButton(IDC_TOTALALERT1, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT2, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT3, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT4, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT5, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT6, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT7, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT8, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT9, BST_UNCHECKED);
    CheckDlgButton(IDC_TOTALALERT10,BST_CHECKED);

    return 0;
}
};

#endif //__CONFIGDLG_H_
