// TestDlg.h : Declaration of the TestDlg

#ifndef __TESTDLG_H_
#define __TESTDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include <afxcmn.h>

/////////////////////////////////////////////////////////////////////////////
// TestDlg
class TestDlg : 
	public CDialogImpl<TestDlg>
{
public:
    int totalAlertLevel;
    int hostNameCheckWeight;
    int hostNameCheckSensitivity;
    int urlCheckWeight;
    int passwordFieldsCheckWeight;
    int linksCheckWeight;
    int imageCheckWeight;
    int maximumHostNameHistoryEntries;
    BOOL enableConfirmationWarning;
    BOOL saveImageHashes;
    BOOL highlightSuspiciousLinks;

	int HTTPSWeight;
	int EMAILWeight;

	int linkSensitivity;

	TestDlg()
	{
	}
\
	~TestDlg()
	{
	}

	enum { IDD = IDD_TESTDLG };

BEGIN_MSG_MAP(TestDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()
// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
        SetDlgItemInt(IDC_TOTALALERTLEVEL, totalAlertLevel);
        SendDlgItemMessage(IDC_TOTALALERTLEVELSPIN, UDM_SETRANGE, 0, MAKELONG(10, 1));
		//LED
		SetDlgItemInt(IDC_LINKSENSITIVITY, linkSensitivity);
		SendDlgItemMessage(IDC_LINKSENSITIVITYSPIN, UDM_SETRANGE, 0, MAKELONG(10, 1));

		SetDlgItemInt(IDC_HTTPSCHECKWEIGHT,HTTPSWeight);
		SendDlgItemMessage(IDC_HTTPSCHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(10, 1));

		SetDlgItemInt(IDC_EMAILCHECKWEIGHT,EMAILWeight);
		SendDlgItemMessage(IDC_EMAILWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(10, 1));


		//end LED				
        SetDlgItemInt(IDC_HOSTNAMECHECKWEIGHT, hostNameCheckWeight);
        SendDlgItemMessage(IDC_HOSTNAMECHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_HOSTNAMECHECKSENSITIVITY, hostNameCheckSensitivity);
        SendDlgItemMessage(IDC_HOSTNAMECHECKSENSITIVITYSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_URLCHECKWEIGHT, urlCheckWeight);
        SendDlgItemMessage(IDC_URLCHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_PASSWORDFIELDSCHECKWEIGHT, passwordFieldsCheckWeight);
        SendDlgItemMessage(IDC_PASSWORDFIELDSCHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_LINKSCHECKWEIGHT, linksCheckWeight);
        SendDlgItemMessage(IDC_LINKSCHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_IMAGECHECKWEIGHT, imageCheckWeight);
        SendDlgItemMessage(IDC_IMAGECHECKWEIGHTSPIN, UDM_SETRANGE, 0, MAKELONG(5, 1));
        SetDlgItemInt(IDC_MAXIMUMHOSTNAMEHISTORYENTRIES, maximumHostNameHistoryEntries);
        SendDlgItemMessage(IDC_MAXIMUMHOSTNAMEHISTORYENTRIESSPIN, UDM_SETRANGE, 0, MAKELONG(10000, 1));

        CheckDlgButton(IDC_ENABLECONFIRMATIONWARNING, (enableConfirmationWarning ? BST_CHECKED : BST_UNCHECKED));
        CheckDlgButton(IDC_SAVEIMAGEHASHES, (saveImageHashes ? BST_CHECKED : BST_UNCHECKED));
        CheckDlgButton(IDC_HIGHLIGHTSUSPICIOUSLINKS, (highlightSuspiciousLinks ? BST_CHECKED : BST_UNCHECKED));

		return 1;  // Let the system set the focus
	}

	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
        BOOL translated;
        
		//LED
        totalAlertLevel = GetDlgItemInt(IDC_TOTALALERTLEVEL, &translated);
        if (!translated || (totalAlertLevel < 1) || (totalAlertLevel > 10))
        {
            MessageBox("Please enter a number between 1 and 10, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_TOTALALERTLEVEL));
            SendDlgItemMessage(IDC_TOTALALERTLEVEL, EM_SETSEL, 0, -1);
            return 0;
        }

        HTTPSWeight = GetDlgItemInt(IDC_HTTPSCHECKWEIGHT, &translated);
        if (!translated || (HTTPSWeight < 1) || (HTTPSWeight > 10))
        {
            MessageBox("Please enter a number between 1 and 10, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_HTTPSCHECKWEIGHT));
            SendDlgItemMessage(IDC_HTTPSCHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        EMAILWeight = GetDlgItemInt(IDC_EMAILCHECKWEIGHT, &translated);
        if (!translated || (EMAILWeight < 1) || (EMAILWeight > 10))
        {
            MessageBox("Please enter a number between 1 and 10, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_EMAILCHECKWEIGHT));
            SendDlgItemMessage(IDC_EMAILCHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }
		//end LED

        linkSensitivity = GetDlgItemInt(IDC_LINKSENSITIVITY, &translated);
        if (!translated || (linkSensitivity < 1) || (linkSensitivity > 10))
        {
            MessageBox("Please enter a number between 1 and 10, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_LINKSENSITIVITY));
            SendDlgItemMessage(IDC_LINKSENSITIVITY, EM_SETSEL, 0, -1);
            return 0;
        }

        hostNameCheckWeight = GetDlgItemInt(IDC_HOSTNAMECHECKWEIGHT, &translated);
        if (!translated || (hostNameCheckWeight < 1) || (hostNameCheckWeight > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_HOSTNAMECHECKWEIGHT));
            SendDlgItemMessage(IDC_HOSTNAMECHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        hostNameCheckSensitivity = GetDlgItemInt(IDC_HOSTNAMECHECKSENSITIVITY, &translated);
        if (!translated || (hostNameCheckSensitivity < 1) || (hostNameCheckSensitivity > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_HOSTNAMECHECKSENSITIVITY));
            SendDlgItemMessage(IDC_HOSTNAMECHECKSENSITIVITY, EM_SETSEL, 0, -1);
            return 0;
        }

        urlCheckWeight = GetDlgItemInt(IDC_URLCHECKWEIGHT, &translated);
        if (!translated || (urlCheckWeight < 1) || (urlCheckWeight > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_URLCHECKWEIGHT));
            SendDlgItemMessage(IDC_URLCHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        passwordFieldsCheckWeight = GetDlgItemInt(IDC_PASSWORDFIELDSCHECKWEIGHT, &translated);
        if (!translated || (passwordFieldsCheckWeight < 1) || (passwordFieldsCheckWeight > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_PASSWORDFIELDSCHECKWEIGHT));
            SendDlgItemMessage(IDC_PASSWORDFIELDSCHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        linksCheckWeight = GetDlgItemInt(IDC_LINKSCHECKWEIGHT, &translated);
        if (!translated || (linksCheckWeight < 1) || (linksCheckWeight > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_LINKSCHECKWEIGHT));
            SendDlgItemMessage(IDC_LINKSCHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        imageCheckWeight = GetDlgItemInt(IDC_IMAGECHECKWEIGHT, &translated);
        if (!translated || (imageCheckWeight < 1) || (imageCheckWeight > 5))
        {
            MessageBox("Please enter a number between 1 and 5, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_IMAGECHECKWEIGHT));
            SendDlgItemMessage(IDC_IMAGECHECKWEIGHT, EM_SETSEL, 0, -1);
            return 0;
        }

        maximumHostNameHistoryEntries = GetDlgItemInt(IDC_MAXIMUMHOSTNAMEHISTORYENTRIES, &translated);
        if (!translated || (maximumHostNameHistoryEntries < 1) || (maximumHostNameHistoryEntries > 10000))
        {
            MessageBox("Please enter a number between 1 and 10,000, inclusive.", "SpoofGuard", MB_OK | MB_ICONINFORMATION | MB_APPLMODAL);
            ::SetFocus(GetDlgItem(IDC_MAXIMUMHOSTNAMEHISTORYENTRIES));
            SendDlgItemMessage(IDC_MAXIMUMHOSTNAMEHISTORYENTRIES, EM_SETSEL, 0, -1);
            return 0;
        }
                
        enableConfirmationWarning = (IsDlgButtonChecked(IDC_ENABLECONFIRMATIONWARNING) == BST_CHECKED);
        saveImageHashes = (IsDlgButtonChecked(IDC_SAVEIMAGEHASHES) == BST_CHECKED);
        highlightSuspiciousLinks = (IsDlgButtonChecked(IDC_HIGHLIGHTSUSPICIOUSLINKS) == BST_CHECKED);

        EndDialog(wID);
		return 0;
	}

	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}
};

#endif //__TESTDLG_H_
