//UWToolBar.h : Declaration of the CUWToolBar

#ifndef __UWTOOLBAR_H_
#define __UWTOOLBAR_H_

#include <commctrl.h>

/////////////////////////////////////////////////////////////////////////////
// CUWToolBar
class CUWToolBar : public CWindowImpl<CUWToolBar>
{
public:
    DECLARE_WND_SUPERCLASS(_T("URLWARNTOOLBAR"), TOOLBARCLASSNAME)

        //message map, to receive messages from reflectionwnd

        BEGIN_MSG_MAP(CUWToolBar)
        MESSAGE_HANDLER(WM_CREATE, OnCreate);
    MESSAGE_HANDLER(WM_COMMAND, OnCommand);
    END_MSG_MAP()

        // Handler prototypes:
        //  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
        //  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
        //  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);
        LRESULT OnCreate(UINT uMsg, WPARAM wPAram, LPARAM lParam, BOOL& bHandled);
    LRESULT OnCommand(UINT uMsg, WPARAM wPAram, LPARAM lParam, BOOL& bHandled);
    LRESULT OnStatusButton(UINT uMsg, WPARAM wPAram, LPARAM lParam, BOOL& bHandled);

    CUWToolBar();
    virtual ~CUWToolBar();

    //inline getters and setters
    void SetBrowser(IWebBrowser2 *pBrowser);
    inline IWebBrowser2 *GetBrowser() { return m_pBrowser; }
    inline int GetDistValue() { return m_Dist; }
    inline void SetDistValue(int dist) { m_Dist = dist; }
    inline int GetHistValue() { return m_History; }
    inline void SetHistValue(int hist) { m_History = hist; }
    inline BOOL GetCheckedValue() { return m_Checked; }
    inline void SetCheckedValue(BOOL check) { m_Checked = check; }
    inline BOOL GetCheckedIValue() { return m_CheckedI; }
    inline void SetCheckedIValue(BOOL check) { m_CheckedI = check; }
    inline BOOL GetCheckedLValue() { return m_CheckedL; }
    inline void SetCheckedLValue(BOOL check) { m_CheckedL = check; }
    inline int GetDWeightValue() { return m_DWeight; }
    inline void SetDWeightValue(int set) { m_DWeight = set; }
    inline int GetUWeightValue() { return m_UWeight; }
    inline void SetUWeightValue(int set) { m_UWeight = set; }
    inline int GetHWeightValue() { return m_HWeight; }
    inline void SetHWeightValue(int set) { m_HWeight = set; }
    inline int GetLWeightValue() { return m_LWeight; }
    inline void SetLWeightValue(int set) { m_LWeight = set; }
    inline int GetIWeightValue() { return m_IWeight; }
    inline void SetIWeightValue(int set) { m_IWeight = set; }

    inline int GetTotalAlertValue() { return m_TotalAlert; }
    inline void SetTotalAlertValue(int set) { m_TotalAlert = set; }

	//LED
	inline int GetLSensitivityValue() { return m_LSensitivity; }
    inline void SetLSensitivityValue(int set) { m_LSensitivity = set; }
	inline int GetPWeightValue() { return m_PWeight;}
	inline void SetPWeightValue(int set) { m_PWeight = set; }
	inline int GetXWeightValue() { return m_XWeight;}
	inline void SetXWeightValue(int set) { m_XWeight = set; }

    inline const CString& GetStatusMessage()
    {
        return statusMessage;
    }

    inline const CString& GetCurrentDomain()
    {
        return currentDomain;
    }

    inline BOOL IsDirty() { return m_Dirty; }

    void SetStatusMessage(const CString& newMessage);
    void SetCurrentDomain(const CString& newDomain);
    LRESULT ChangeHostName(LPTSTR hostname);
    LRESULT ChangeIcon(int icon);

private:
    HIMAGELIST m_hImageList;
    IWebBrowser2* m_pBrowser;

    //variables that keep track of the current state of the user's settings
    int m_Dist;
    int m_History;
    int m_DWeight;
    int m_UWeight;
    int m_HWeight;
    int m_LWeight;
    int m_IWeight;
    int m_TotalAlert;

	//LED
	int m_LSensitivity;
	int m_PWeight;
	int m_XWeight;

    CString statusMessage;
    CString currentDomain;

    BOOL m_Checked, m_CheckedI, m_CheckedL, m_Dirty;
};

#endif //__UWTOOLBAR_H_
